org.keycloak.services.clientpolicy

## Enum ClientPolicyEvent

- java.lang.Object
- - java.lang.Enum<ClientPolicyEvent>
  - - org.keycloak.services.clientpolicy.ClientPolicyEvent

- All Implemented Interfaces:
    Serializable, Comparable<ClientPolicyEvent>

      public enum ClientPolicyEvent
      extends Enum<ClientPolicyEvent>

  Events on which client policies mechanism detects and do its operation
  Author:
    Takashi Norimatsu

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHORIZATION_REQUEST`
    `BACKCHANNEL_AUTHENTICATION_REQUEST`
    `BACKCHANNEL_TOKEN_REQUEST`
    `LOGOUT_REQUEST`
    `PUSHED_AUTHORIZATION_REQUEST`
    `REGISTER`
    `REGISTERED`
    `SERVICE_ACCOUNT_TOKEN_REQUEST`
    `TOKEN_INTROSPECT`
    `TOKEN_REFRESH`
    `TOKEN_REQUEST`
    `TOKEN_REVOKE`
    `UNREGISTER`
    `UPDATE`
    `UPDATED`
    `USERINFO_REQUEST`
    `VIEW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientPolicyEvent` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClientPolicyEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REGISTER

          public static final ClientPolicyEvent REGISTER

    - #### REGISTERED

          public static final ClientPolicyEvent REGISTERED

    - #### UPDATE

          public static final ClientPolicyEvent UPDATE

    - #### UPDATED

          public static final ClientPolicyEvent UPDATED

    - #### VIEW

          public static final ClientPolicyEvent VIEW

    - #### UNREGISTER

          public static final ClientPolicyEvent UNREGISTER

    - #### AUTHORIZATION_REQUEST

          public static final ClientPolicyEvent AUTHORIZATION_REQUEST

    - #### TOKEN_REQUEST

          public static final ClientPolicyEvent TOKEN_REQUEST

    - #### SERVICE_ACCOUNT_TOKEN_REQUEST

          public static final ClientPolicyEvent SERVICE_ACCOUNT_TOKEN_REQUEST

    - #### TOKEN_REFRESH

          public static final ClientPolicyEvent TOKEN_REFRESH

    - #### TOKEN_REVOKE

          public static final ClientPolicyEvent TOKEN_REVOKE

    - #### TOKEN_INTROSPECT

          public static final ClientPolicyEvent TOKEN_INTROSPECT

    - #### USERINFO_REQUEST

          public static final ClientPolicyEvent USERINFO_REQUEST

    - #### LOGOUT_REQUEST

          public static final ClientPolicyEvent LOGOUT_REQUEST

    - #### BACKCHANNEL_AUTHENTICATION_REQUEST

          public static final ClientPolicyEvent BACKCHANNEL_AUTHENTICATION_REQUEST

    - #### BACKCHANNEL_TOKEN_REQUEST

          public static final ClientPolicyEvent BACKCHANNEL_TOKEN_REQUEST

    - #### PUSHED_AUTHORIZATION_REQUEST

          public static final ClientPolicyEvent PUSHED_AUTHORIZATION_REQUEST

  - ### Method Detail

    - #### values

          public static ClientPolicyEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientPolicyEvent c : ClientPolicyEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientPolicyEvent valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.